import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = `Tarreo`;

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_TARREO,
  {
    url: config.TARREO,
    articlesSelector: "section.lists_list_main ul.news li article",
    titleSelector: "h4.elementHeader a",
    linkSelector: "h4.elementHeader a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["Tarreo", "VideoJuegos", "Noticias"],
    linkPrefix: "https://www.tarreo.com",
    cacheExpiration: 60 * 60 * 24 * 5, // 5 días
  }
).getHandler();
